Organisation
Revoke one remote connection approval
Revoke one remote connection approval
curl --request DELETE \
--url https://api.atlan.com/registry/v1/organisations/{org_id}/network-remote-access/connections/{kind}/{connection_id} \
--header 'Authorization: Bearer <token>' \
--header 'If-Match: <if-match>'const options = {
method: 'DELETE',
headers: {'If-Match': '<if-match>', Authorization: 'Bearer <token>'}
};
fetch('https://api.atlan.com/registry/v1/organisations/{org_id}/network-remote-access/connections/{kind}/{connection_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.atlan.com/registry/v1/organisations/{org_id}/network-remote-access/connections/{kind}/{connection_id}"
headers = {
"If-Match": "<if-match>",
"Authorization": "Bearer <token>"
}
response = requests.delete(url, headers=headers)
print(response.text){
"approvals": [
{
"applicable": true,
"approved_at": "2023-11-07T05:31:56Z",
"approved_by": "<string>",
"authority": {
"actor_sub": "<string>",
"audiences": [
"<string>"
],
"client_id": "<string>",
"client_version": "<string>",
"connection_version": "<string>",
"scopes": [
"<string>"
],
"service_account_id": "<string>",
"subject": "<string>"
},
"connection_id": "<string>",
"expires_at": "2023-11-07T05:31:56Z",
"generation": "<string>",
"issuer": "<string>",
"kind": "machine_client",
"reason": "<string>"
}
],
"can_apply": true,
"enabled": true,
"generation": "<string>",
"version": "<string>",
"can_manage": true
}{
"code": "invalid_request",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "alg_mismatch",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "access_denied",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "not_found",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "conflict",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "precondition_failed",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "validation_failed",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "precondition_required",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "internal_error",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "auth_unavailable",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "request_timeout",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Path Parameters
Available options:
machine_client, oauth_session, oauth_grant ⌘I
Revoke one remote connection approval
curl --request DELETE \
--url https://api.atlan.com/registry/v1/organisations/{org_id}/network-remote-access/connections/{kind}/{connection_id} \
--header 'Authorization: Bearer <token>' \
--header 'If-Match: <if-match>'const options = {
method: 'DELETE',
headers: {'If-Match': '<if-match>', Authorization: 'Bearer <token>'}
};
fetch('https://api.atlan.com/registry/v1/organisations/{org_id}/network-remote-access/connections/{kind}/{connection_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.atlan.com/registry/v1/organisations/{org_id}/network-remote-access/connections/{kind}/{connection_id}"
headers = {
"If-Match": "<if-match>",
"Authorization": "Bearer <token>"
}
response = requests.delete(url, headers=headers)
print(response.text){
"approvals": [
{
"applicable": true,
"approved_at": "2023-11-07T05:31:56Z",
"approved_by": "<string>",
"authority": {
"actor_sub": "<string>",
"audiences": [
"<string>"
],
"client_id": "<string>",
"client_version": "<string>",
"connection_version": "<string>",
"scopes": [
"<string>"
],
"service_account_id": "<string>",
"subject": "<string>"
},
"connection_id": "<string>",
"expires_at": "2023-11-07T05:31:56Z",
"generation": "<string>",
"issuer": "<string>",
"kind": "machine_client",
"reason": "<string>"
}
],
"can_apply": true,
"enabled": true,
"generation": "<string>",
"version": "<string>",
"can_manage": true
}{
"code": "invalid_request",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "alg_mismatch",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "access_denied",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "not_found",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "conflict",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "precondition_failed",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "validation_failed",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "precondition_required",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "internal_error",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "auth_unavailable",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "request_timeout",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}